import { TemplateRef, QueryList, EventEmitter } from '@angular/core';
import { HashMap } from '../../utils';
export declare class TreeListDefault {
    update: EventEmitter<boolean>;
    header: QueryList<TemplateRef<any>>;
    contentTpls: QueryList<TemplateRef<any>>;
    groups: HashMap<string, any>;
    groupsParents: HashMap<string, Array<any>>;
    elements: HashMap<string, Array<any>>;
    groupsFilter: (any: any) => string;
    groupParentsFilter: (any: any) => string;
    elementsFilter: (any: any) => string;
    setGroups(groups: Array<any>): void;
    setElements(elements: Array<any>): void;
    setGroupsFilter(groupsFilter: (any: any) => string): void;
    setGroupParentsFilter(groupParentsFilter: (any: any) => string): void;
    setElementsFilter(elementsFilter: (any: any) => string): void;
    build(key: string): any[][];
}
